@import url("https://use.typekit.net/kge4pgd.css");

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html {
    font-size: 62.5%;
}

body {
    background-color: #334189;
}

@media screen and (min-width: 320px) {
    /*==========Header==========*/
 header {
    width: 100%;
    height: 10vh;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    z-index: 999;
    position: fixed;
    padding: 0px 15px;
 }

 nav {
    display: none;
 }

 .menu-btn {
    background: url(assets/icon/menu.png) no-repeat;
    background-size: 36px;
    background-position: center;
    width: 60px;
    height: 60px;
    margin-top: 0.5rem;
    border-radius: 16px;
    cursor: pointer;
    transition: 0.3s ease;
    backdrop-filter: blur(10px); /* Ajusta el valor para cambiar la intensidad del blur */
    background-color: rgba(255, 255, 255, 0.3); /* Fondo semitransparente para que el blur sea visible */
    box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.1); /* Sombra sutil */
 }

 .menu-btn.active {
   background: url(assets/icon/close.png) no-repeat;
   background-size: 36px;
   background-position: center;
   width: 60px;
   height: 60px;
   border-radius: 16px;
   cursor: pointer;
   transition: 0.3s ease;
   backdrop-filter: blur(10px); 
   background-color: rgba(255, 255, 255, 0.3); 
   box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.1);
 }

 .header.active {
   position: fixed;
   width: 100%;
   height: 100vh;
   background-color: rgba(0, 0, 0, 0.9); 
   top: 50%;
   left: 50%;
   transform: translate(-50%, -50%);
 }

 .navegacion.active {
   width: 65%;
   height: 45vh;
   border-radius: 16px;
   display: flex;
   flex-direction: column;
   justify-content: space-evenly;
   align-items: center;
   backdrop-filter: blur(10px); 
   background-color: #fff; 
   box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.1);
   position: absolute;
   top: 50%;
   left: 50%;
   transform: translate(-50%, -50%);
 }

 .nav-item {
   font-family: "gesta", sans-serif;
   font-weight: 700;
   font-style: normal;
   text-decoration: none;
   color: #334189;
   font-size: 2.4rem;
 }

 .logo-header {
    width: 5rem;
 }


  /*==========Home==========*/

 .home {
   position: relative;
   width: 100%;
   height: 100vh;
   display: flex;
   flex-direction: column;
   justify-content: flex-end;
   align-items: flex-start;
   padding: 0px 15px;
 }

 .home video {
    z-index: 000;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    object-fit: cover;
 }

 .home:before {
    z-index: 777;
    content: '';
    position: absolute;
    background: rgba(15, 15, 15, 0.35);
    width: 100%;
    height: 100vh;
    top: 0;
    left: 0;
 }

 /*==========Secciones==========*/

 .seccion {
    width: 100%;
    display: flex;
 }

 .seccion-nosotros {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(2, 1fr); 
    gap: 5px; 
    margin: auto;
    padding: 5px;
    padding-top: 5rem;
    background: #fff;
 }

 .seccion-stats {
  position: relative;
  width: 100%;
  height: 115vh;
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: flex-start;
  background: #fff;
  padding: 0px 25px;
 }

 .seccion-afrecho, .seccion-aserrin, .seccion-cascaras_arroz, .seccion-cascara_girasol, .seccion-viruta_pino {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(2, 1fr); 
  gap: 15px; 
  margin: auto;
  padding: 15px;
  background: #fff;
}

.seccion-productos {
  width: 100%;
  height: 80vh;
  display: flex;
  flex-direction: column;
  background: #fff;
  justify-content: space-around;
  align-items: center;
}

.seccion-alcance {
  width: 100%;
  height: 120vh;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  background-color: #fff;
}

.seccion-ubicacion {
  max-width: 100%;
  height: 100vh;
  flex-direction: column;
  background: #fff;
  justify-content: space-between;
  align-items: center;
}

.seccion-contacto {
  width: 100%;
  height: 100vh;
  background-color: #334189;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.seccion-contacto .titulo {
  text-align: center;
}

.seccion-afrecho h2, .seccion-afrecho h3,
.seccion-aserrin h2, .seccion-aserrin h3,
.seccion-cascaras_arroz h2, .seccion-cascaras_arroz h3,
.seccion-cascara_girasol h2, .seccion-cascara_girasol h3,
.seccion-viruta_pino h2, .seccion-viruta_pino h3 {
  margin-bottom: 10px; 
}

.seccion-afrecho p, .seccion-aserrin p, .seccion-cascaras_arroz p, .seccion-cascara_girasol p, .seccion-viruta_pino p {
  margin-top: 10px; 
}

.seccion-marcas {
  height: 45vh;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: #fff;
}
 

  
 /*==========Formulario==========*/

 .formulario {
  display: flex;
  flex-direction: column;
  width: 100%;
  max-width: 400px;
  margin: 0 auto;
  padding: 20px;
  box-sizing: border-box;
  font-family: "gesta", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.formulario label {
  font-size: 14px;
  color: white;
  margin-bottom: 5px;
}

.formulario input,
.formulario textarea {
  background: none;
  border: none;
  border-bottom: 2px solid white;
  padding: 8px 0;
  color: white;
  font-size: 16px;
  margin-bottom: 20px;
  outline: none;
  font-family: "gesta", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.formulario input::placeholder,
.formulario textarea::placeholder {
  color: rgba(255, 255, 255, 0.7);
}

.formulario input:focus,
.formulario textarea:focus {
  border-bottom-color: #ccc;
}

button[type="submit"] {
  color: #fff; /* Color del texto */
  background: none; /* Sin fondo */
  border: 2px solid #fff; /* Bordes blancos */
  padding: 10px;
  font-size: 16px;
  cursor: pointer;
  transition: all 0.3s ease; /* Suaviza el cambio del hover */
  font-family: "gesta", sans-serif;
  font-weight: 400;
  font-style: normal;
}

/* Sección de confirmación */
.confirmacion {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: #334189;
  color: white;
  height: 100vh;
  font-family: "gesta", sans-serif;
}

.confirmacion h2 {
  font-size: 24px;
  margin-bottom: 20px;
}

.confirmacion p {
  font-size: 16px;
  margin-bottom: 10px;
  color: white;
}

.confirmacion button {
  color: #fff; /* Color del texto */
  background: none; /* Sin fondo */
  border: 2px solid #fff; /* Bordes blancos */
  padding: 10px;
  font-size: 16px;
  cursor: pointer;
  transition: all 0.3s ease; /* Suaviza el cambio del hover */
  font-family: "gesta", sans-serif;
}

.confirmacion button:hover {
  background-color: #fff;
  color: #334189;
}

.confirmacion .container {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

 /*==========Videos==========*/

 .video-background {
  width: 100%;
  object-fit: cover;
 }


 #envio {
  opacity: 0;
 }

 /*==========Articulos==========*/

.articulo-img {
  grid-row: 2/4;
  grid-column: 1/3;
  border-radius: 24px;
}


 .articulo-img img {
  width: 100%;
  border-radius: 24px;
 }

.articulo {
  grid-column: 1/3;
  grid-row: 1/3;
}

.articulo-parrafo {
  height: 58vh;
  justify-content: space-around;
}

.articulo-alcance {
  width: 100%;
  height: 45vh;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
}

.alcance-grid {
  width: 90%;
  display: grid;
  grid-template-columns: repeat(5, 20%); /* Cinco columnas con un ancho del 20% cada una */
  grid-template-rows: auto auto; /* Dos filas */
  gap: 0px; /* Sin espacio adicional entre columnas, ya que están separadas por diseño */
  justify-items: center; /* Centra el contenido en cada columna */
}

.mapa {
  width: 100%;
  max-width: 100%;
}

.ubicacion {
  width: 100%;
  max-width: 100%;
  height: 80vh;
}

.pais-con {
  width: 100%; /* Ancho fijo de las banderas */
  height: auto; /* Mantener la proporción */
}

.pais {
  width: 100%; /* La imagen ocupa el 100% del contenedor */
  height: 100%; /* Mantener la proporción dentro del contenedor */
  object-fit: cover; /* Ajustar la imagen sin distorsión */
}

/* Primera fila: Banderas en las columnas 1, 3 y 5 */
.pais-con:nth-child(1) {
  grid-column: 1;
}
.pais-con:nth-child(2) {
  grid-column: 3;
}
.pais-con:nth-child(3) {
  grid-column: 5;
}

/* Segunda fila: Banderas en las columnas 2 y 4 */
.pais-con:nth-child(4) {
  grid-column: 2;
}
.pais-con:nth-child(5) {
  grid-column: 4;
}

.articulo1, .articulo2, .articulo3, .articulo4 {
  grid-column: 1/3;
}

.articulo1, .articulo2, .articulo3, .articulo4 {
  padding: 10px; 
}

.grid-item video {
  width: 100%;
  height: auto;
  border-radius: 24px;
  object-fit: contain;
}

.item-4-3 {
  grid-row: 3/5;
  grid-column: 1/3;
  aspect-ratio: 43;
}

.item1 {
  grid-row: 5/6;
  grid-column: 1/2;
}

.item2 {
  grid-column: 2/3;
  grid-row: 5/7;
}

.item3 {
  grid-column: 2/3;
}

.item4 {
  grid-column: 1/3;
  grid-row: 9/11;
}

.articulo-parrafo-2 {
  grid-column: 1/3;
  grid-row: 13/15;
  height: 52vh;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}

.video-9-16 {
  grid-column: 1/2;
  grid-row: 6/8;
}

.grid-item img {
  width: 100%;
  height:auto;
  border-radius: 24px;
  object-fit: cover;
}

.item-16-9 {
  grid-row: 6/8;
  grid-column: 1/3;
}

.item-16-9-2 {
  grid-row: 8/10;
  grid-column: 1/3;
}

.item-16-9-3 {
  grid-row: 10/12;
  grid-column: 1/3;
}

.articulo {
  width: 100%;
  display: flex;
  flex-direction: column;
}

.articulo-parrafos {
  width: 100%;
  height: 60vh;
  display: flex;
  overflow-x: auto; /* Activa el scroll horizontal */
  scroll-snap-type: x mandatory; /* Ajusta el scroll para que 'salte' entre los elementos */
  gap: 1rem; /* Espaciado entre los elementos */
}

.articulo-stats {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 90%;
  height: 65vh;
  background: #334189;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}


  /*==========Carousel==========*/

  .carousel {
    position: relative;
    width: 100%;
    overflow: hidden;
    display: flex;
    align-items: center;
  }
  
  .carousel-inner {
    display: flex;
    transition: transform 0.5s ease-in-out;
  }
  
  .carousel-item {
    flex: 0 0 45%; /* Mostrar dos marcas a la vez */
    max-width: 300px;
    padding: 10px;
    box-sizing: border-box;
  }
  
  .carousel-item img {
    width: 100%;
    height: auto;
    object-fit: cover;
  }
  
  .carousel-prev,
  .carousel-next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    border: none;
    padding: 10px;
    cursor: pointer;
    z-index: 10;
  }
  
  .carousel-prev {
    left: 10px;
  }
  
  .carousel-next {
    right: 10px;
  }  


 /*==========imagenes==========*/

  .icon-stat {
    width: 8rem;
  }

  .icon-product {
    width: 13.5rem;
    height: auto;
    aspect-ratio: 1;
    border-radius: 50%;
    object-fit: cover;
  }

  .sudamerica {
    width: 25rem;
  }


 /*==========Listas==========*/


  .lista {
    list-style: none;
    text-decoration: none;
    font-family: "gesta", sans-serif;
    font-weight: 400;
    font-style: normal;
    text-decoration: none;
    color: #334189;
    font-size: 1.6rem;
    text-align: left;
    height: 10vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
  }

  /*==========Slider==========*/

  .slider {
    width: 75vw;
    height: auto;
    margin: auto;
    overflow: hidden;
}

.slider .slide-track {
    display: flex;
    animation: scroll 30s linear infinite;
    -webkit-animation: scroll 30s linear infinite;
    width: calc(200px * 8);
}

.slider .slide {
    width: 200px;
}

.slider .slide img {
    width: 100%;
}

@keyframes scroll {
    0% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
    }
    100% {
        -webkit-transform: translateX(calc(-200px * 7));
        transform: translateX(calc(-200px * 7));
    }
}

 /*==========Containers==========*/

 .sud-contain {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
 }

 .carta {
  height: 48vh;
  min-width: 20rem;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1), 0 6px 20px rgba(0, 0, 0, 0.1); /* Efecto sombra */
  border-radius: 0.5rem; /* Opcional, para esquinas redondeadas */
  padding: 1rem; /* Opcional, para agregar un poco de padding */
 }

 .carta .subtitulo {
  text-align: center;
  height: 8vh;
  font-size: 2.2rem;
 }

 .contenido {
   z-index: 888;
   width: 100%;
   height: 38vh;
   display: flex;
   flex-direction: column;
   justify-content: space-evenly;
   align-items: flex-start;
 }

 .container-stats {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
 }

 .container-stat {
  width: 80%;
  height: 18vh;
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: center;
 }

 .stat-contain {
  width: 60%;
  height: 18vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
 }



 /*==========btn==========*/

 .btn-link {
  font-family: "gesta", sans-serif;
  font-weight: 700;
  font-style: normal;
  font-size: 2rem;
  color: #fff;
  text-decoration: none;
  background-color: #334189;
  width: 17rem;
  text-align: center;
  padding: 0.5rem 0.5rem 1rem 1rem;
  align-self: center;
 }

 .link-producto {
  font-family: "gesta", sans-serif;
  font-weight: 400;
  font-style: normal;
  color: #334189;
  font-size: 2rem;
  text-align: left;
 }



 /*==========Titulos==========*/

 .titulo {
    font-family: "gesta", sans-serif;
    font-weight: 700;
    font-style: normal;
    font-size: 3.4rem;
    color: #fff;
    width: 65%;
 }

 .subtitulo {
   font-family: "gesta", sans-serif;
   font-weight: 700;
   font-style: normal;
   font-size: 2.8rem;
   color: #334189;
   width: 100%;
 }

 .subtitulo3 {
  font-family: "gesta", sans-serif;
  font-weight: 700;
  font-style: normal;
  font-size: 5rem;
  color: #334189;
  line-height: 0.85;
 }

 .subtitulo2 {
  font-weight: 400;
  text-align: center;
 }

 .seccion-productos .subtitulo {
  text-align: center;
 }

 .subtitulo-3 {
   font-size: 2.2rem;
 }

 .titulo-main {
   text-align: left;
   font-size: 5.8rem;
   line-height: 0.85;
   width: 100%;
 }

 .titulo-productos {
  text-align: left;
  font-size: 3.6rem;
  line-height: 0.85;
  width: 100%;
 }

 .parrafo {
   font-family: "gesta", sans-serif;
   font-weight: 400;
   font-style: normal;
   font-size: 1.8rem;
   color: #fff;
   width: 100%;
 }

 .parrafo-2 {
   color: #334189;
   font-size: 1.8rem;
 }

 .articulo-alcance .parrafo-2 {
  text-align: center;
 }

 .titulo-stats {
  font-size: 5.6rem;
  color: #334189;
  line-height: 0.85;
  font-weight: 900;
 }

 .stat {
  font-family: "gesta", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 3.8rem;
  color: #fff;
 }

 .stat-description {
  font-family: "gesta", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 2.2rem;
  color: #fff;
 }


 /*===========Footer==========*/

 .footer {
   width: 100%;  
   height: 80vh;
   position: relative;
   background: #202020;  
   display: flex;
   flex-direction: column;
   justify-content: center;
   align-items: center;
 }

 .footer1 {
  width: 90%;
  height: 30vh;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
 }

 .footer2 {
  width: 90%;
  height: 30vh;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: flex-start;
 }

 .container-info {
  width: 100%;
  height: 12vh;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: flex-start;
 }

 .logo-footer {
  width: 7rem;
 }

 .text-info {
  font-family: "gesta", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 1.6rem;
  color: #fff;
 }

}

@media screen and (min-width: 720px) {

   /*==========Div's==========*/

   .contenido { 
      height: 24vh;
   }

}

@media screen and (min-width: 1080px) {

   /*==========Header==========*/

   header {
      padding: 0px 50px;
      transition: background-color 0.3s ease, backdrop-filter 0.3s ease;
  }

  .header-scroll {
      background-color: rgba(255, 255, 255, 0.20); 
      backdrop-filter: blur(10px); 
      box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.1); 
  }

  .header-scroll nav .nav-item {
      color: #334189;
  }

   nav {
      display: flex;
      justify-content: space-around;
      align-items: center;
      padding: 10px;
      border-radius: 5px;
   }

   .nav-item {
      font-family: "gesta", sans-serif;
      font-weight: 700;
      font-style: normal;
      margin: 0 10px;
      padding: 10px;
      font-size: 2rem;
      text-decoration: none;
      color: #fff;
      border: none;
      cursor: pointer;
      text-align: center;
  }

   .menu-btn {
      display: none;
   }

   .home {
      padding: 0px 25px;
   }

   /*==========Articulos==========*/

   .articulo-parrafo {
      grid-column: 1/4;
      grid-row: 1/2;
      justify-content: space-around;
   }

   .articulo-parrafos {
    width: 100%;
    height: 80vh;
    display: flex;
    flex-direction: column;
    -ms-overflow-style: none;  /* Para Internet Explorer y Edge */
    scrollbar-width: none;  /* Para Firefox */
   }

   .articulo-parrafos::-webkit-scrollbar {
    display: none;  /* Para Chrome, Safari y Opera */
   }

   .contenido {
      height: 46vh;
   }

   /*==========Secciones==========*/
   
   .seccion-nosotros, .seccion-afrecho, .seccion-aserrin, .seccion-cascaras_arroz, .seccion-cascara_girasol, .seccion-viruta_pino {
    grid-template-columns: repeat(6, 1fr);
    padding: 25px;
    padding-top: 9rem;
    gap: 15px;
   }

   .seccion-stats {
    align-items: center;
    height: 95vh;
   }

   .seccion-productos {
    width: 100%;
    height: 100vh;
    justify-content: center;
    align-items: center;
   }

   .seccion-alcance {
    flex-direction: row-reverse;
    justify-content: space-around;
    align-items: flex-start;
    height: 75vh;
   }

   .seccion-alcance2 {
    align-items: center;
    height: 100vh;
   }

   .seccion-marcas {
    width: 100%;
   }

   .seccion-ubicacion {
    align-items: flex-start;
   }

   .carousel {
    width: 75%;
   }

   /*==========Articulos==========*/

   .articulo-img {
    grid-column: 4/8;
    grid-row: 1/2;
   }

   .articulo-alcance {
    width: 50%;
    height: 45vh;
   }


   .articulo1 {
    grid-column: 1/4;

   }

   .articulo2 {
    grid-column: 1/4;
   }

   .articulo3 {
    grid-column: 4/8;
   }

   .articulo4 {
    grid-column: 1/8;
   }

   .articulo-stats {
    height: 50vh;
   }

   .articulo-parrafos {
    flex-direction: row;
    justify-content: space-evenly;
    align-items: center;
   }
   
   .mapa {
    width: 100%;
   }

   .texto-ubi {
    width: 100%;
   }

   .texto-ubi h2 {
    font-size: 5.8rem;
    line-height: 0.85;
    text-align: center;
   }


   /*==========Grid-items=========*/

   .item-4-3 {
    grid-row: 1/3;
    grid-column: 4/8;
   }

   .item1 {
    grid-row: 7/9;
    grid-column: 1/3;
   }

   .item2 {
    grid-column: 1/3;
    grid-row: 2/7;
    align-self: end;
   }

   .item3 {
    grid-column: 3/4;
    grid-row: 2/3;
    align-self: end;
   }

   .item4 {
    grid-column: 3/8;
    grid-row: 5/9;
   }

   .articulo-parrafo-2 {
    grid-row: 3/6;
    grid-column: 4/8;
   }

   .video-9-16 {
    grid-column: 3/4;
    grid-row: 3/5;
   }

   .item-16-9 {
    grid-column: 1/4;
    grid-row: 2/5;
    aspect-ratio: 169;
   }

   .item-16-9-2 {
    grid-row: 5/8;
    grid-column: 1/4;
  }
  
  .item-16-9-3 {
    grid-row: 5/8;
    grid-column: 4/8;
  }

  /*==========Containers y div's==========*/

   .container-stats {
    flex-direction: row;
   }

   .carta {
    width: 22.5rem;
   }

   .sud-contain {
    width: 50%;
   }

   .alcance-grid {
    width: 40%;
   }


   /*==========btn==========*/

   .btn-link {
    align-self: flex-start;
   }

   /*==========imagenes==========*/

   .sudamerica {
    width: 28rem;
   }

   .icon-product {
    width: 14.5rem;
   }

   /*==========Titulos==========*/

   .salto {
    display: none;
   }

   .titulo-main {
      font-size: 8.4rem;
   }

   .subtitulo {
    font-size: 3.2rem;
   }

   .carta .subtitulo {
    font-size: 2.4rem;
   }

   .parrafo {
      font-size: 2.8rem;
      width: 80%;
   }

   .titulo-stats {
    font-size: 6.8rem;
    text-align: center;
   }

   .lista {
    font-size: 1.8rem;
   }

 

   /*==========Textos==========*/

   .parrafo-2 {
    font-size: 2.2rem;
    width: 100%; 
  }

  .footer {
    flex-direction: row;
    height: 45vh;
    align-items: center;
    justify-content: space-evenly;
  }

  .footer1, .footer2 {
    flex-direction: row;
    align-items: center;
    height: 24vh;
    width: 45%;
  }

  .container-info {
    width: 70%;
  }

   /*==========Textos==========*/


  .slider .slide-track {
    width: calc(400px * 8);
  }

  .slider .slide {
    width: 400px;
  }

}